-- Disable providers
local disabled_providers = {
	"node",
	"perl",
	"python3",
	"ruby",
}

for _, provider in ipairs(disabled_providers) do
	vim.g["loaded_" .. provider .. "_provider"] = 0
end

-- Disable plugins
local disabled_plugins = {
	"2html_plugin",
	"ftplugin",
	"gzip",
	"man",
	"netrw",
	"matchit",
	"remote_plugins",
	"spellfile_plugin",
	"shada_plugin",
	"tarPlugin",
	"tutor_mode_plugin",
	"zipPlugin",
}

for _, plugin in ipairs(disabled_plugins) do
	vim.g["loaded_" .. plugin] = 0
end